TransferResponseChecker (The Data Transfer Scheduler Service 2.0.0-4.2.1-126202 API)
Date: 2017-02-10

org.gcube.datatransfer.scheduler.impl.newhandler

## Class TransferResponseChecker

- java.lang.Object
- - org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage>
  - - org.gcube.datatransfer.scheduler.impl.newhandler.TransferResponseChecker

-     public class TransferResponseChecker
      extends org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage>

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.common.messaging.MessageChecker

      `scope, subscriberEndpoint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferResponseChecker(org.gcube.common.core.scope.GCUBEScope scope, String subscriberEndpoint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)`
    `void` | `getAndStoreOutcomes(org.gcube.datatransfer.scheduler.db.model.Transfer transfer, String transferId, ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> outcomes)`
    `void` | `handleResult(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)`
    `void` | `sleepSixSec()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferResponseChecker

          public TransferResponseChecker(org.gcube.common.core.scope.GCUBEScope scope,
                                 String subscriberEndpoint)

  - ### Method Detail

    - #### check

          public void check(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)

      Specified by:
        `check` in class `org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage>`

    - #### handleResult

          public void handleResult(org.gcube.datatransfer.common.messaging.messages.TransferResponseMessage message)

    - #### getAndStoreOutcomes

          public void getAndStoreOutcomes(org.gcube.datatransfer.scheduler.db.model.Transfer transfer,
                                 String transferId,
                                 ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> outcomes)

    - #### sleepSixSec

          public void sleepSixSec()

Copyright © 2017. All Rights Reserved.